# `abacusai.eda_leakage_detection`

## Module Contents

### Classes

`EdaLeakageDetection` | Eda Leakage Detection, contained the duplicates in the base version, Comparison version, Deletions between the base and comparison and feature transformations between the base and comparison data.

class abacusai.eda_leakage_detection.EdaLeakageDetection(client, columnNames=None, primaryKeys=None, transformationColumnNames=None, baseDuplicates={}, compareDuplicates={}, deletions={}, transformations={})

  Bases: `abacusai.return_class.AbstractApiClass`

  Eda Leakage Detection, contained the duplicates in the base version, Comparison version, Deletions between the base and comparison and feature transformations between the base and comparison data.

  Parameters:

    - client (ApiClient) – An authenticated API Client instance

    - columnNames (list) – Name of all the features in the data

    - primaryKeys (list) – Name of the primary keys in the data

    - transformationColumnNames (list) – Name of all the features that are not the primary keys

    - baseDuplicates (LeakageDuplication) – A LeakageDuplication describing the number of duplicates within the data

    - compareDuplicates (LeakageDuplication) – A LeakageDuplication describing the number of duplicates within the data

    - deletions (LeakageDuplication) – A LeakageDeletion describing the number of deletion between two versions in the data

    - transformations (LeakageTransformation) – A LeakageTransformation the number of changes that occured per feature in the data

  __repr__()

    Return repr(self).

  to_dict()

    Get a dict representation of the parameters in this class

    Returns:

      The dict value representation of the class parameters

    Return type:

      dict